JUnitTaskMirror.JUnitTestRunnerMirror (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.junit, interface: JUnitTaskMirror, interface: JUnitTestRunnerMirror

Package org.apache.tools.ant.taskdefs.optional.junit

# Interface JUnitTaskMirror.JUnitTestRunnerMirror

All Known Implementing Classes:
  `JUnitTestRunner`

Enclosing interface:
  `JUnitTaskMirror`

public static interface JUnitTaskMirror.JUnitTestRunnerMirror
Interface that test runners implement.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ERRORS`
  An error occurred.
  `static final int`
  `FAILURES`
  Some tests failed.
  `static final String`
  `IGNORED_FILE_NAME`
  Used in formatter arguments as a placeholder for the basename of the output file (which gets replaced by a test specific output file name later).
  `static final int`
  `SUCCESS`
  No problems with this test.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addFormatter(JUnitTaskMirror.JUnitResultFormatterMirror formatter)`
  Add a formatter to the test.
  `int`
  `getRetCode()`
  Returns what System.exit() would return in the standalone version.
  `void`
  `handleErrorFlush(String output)`
  Handle output sent to System.err.
  `void`
  `handleErrorOutput(String output)`
  Handle output sent to System.err.
  `void`
  `handleFlush(String output)`
  Handle output sent to System.out.
  `int`
  `handleInput(byte[] buffer, int offset, int length)`
  Handle an input request.
  `void`
  `handleOutput(String output)`
  Handle output sent to System.out.
  `void`
  `run()`
  Run the test.
  `void`
  `setPermissions(Permissions perm)`
  Permissions for the test run.

- ## Field Details

  - ### IGNORED_FILE_NAME

    static final String IGNORED_FILE_NAME
    Used in formatter arguments as a placeholder for the basename of the output file (which gets replaced by a test specific output file name later).
    Since:
      Ant 1.6.3
    See Also:
      - Constant Field Values

  - ### SUCCESS

    static final int SUCCESS
    No problems with this test.
    See Also:
      - Constant Field Values

  - ### FAILURES

    static final int FAILURES
    Some tests failed.
    See Also:
      - Constant Field Values

  - ### ERRORS

    static final int ERRORS
    An error occurred.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### setPermissions

    void setPermissions(Permissions perm)
    Permissions for the test run.
    Parameters:
      `perm` - the permissions to use.

  - ### run

    void run()
    Run the test.

  - ### addFormatter

    void addFormatter(JUnitTaskMirror.JUnitResultFormatterMirror formatter)
    Add a formatter to the test.
    Parameters:
      `formatter` - the formatter to use.

  - ### getRetCode

    int getRetCode()
    Returns what System.exit() would return in the standalone version.
    Returns:
      2 if errors occurred, 1 if tests failed else 0.

  - ### handleErrorFlush

    void handleErrorFlush(String output)
    Handle output sent to System.err.
    Parameters:
      `output` - coming from System.err

  - ### handleErrorOutput

    void handleErrorOutput(String output)
    Handle output sent to System.err.
    Parameters:
      `output` - output for System.err

  - ### handleOutput

    void handleOutput(String output)
    Handle output sent to System.out.
    Parameters:
      `output` - output for System.out.

  - ### handleInput

    int handleInput(byte[] buffer, int offset, int length) throws IOException
    Handle an input request.
    Parameters:
      `buffer` - the buffer into which data is to be read.
      `offset` - the offset into the buffer at which data is stored.
      `length` - the amount of data to read.
    Returns:
      the number of bytes read.
    Throws:
      `IOException` - if the data cannot be read.

  - ### handleFlush

    void handleFlush(String output)
    Handle output sent to System.out.
    Parameters:
      `output` - output for System.out.